/// @file
/// A TLM task.

#include <sstream>

//#include "TlmTaskProxy_t.hh"
#include "MyTaskSender.hh"


//using Scnsl::Tlm::TlmTask_if_t;


// ////////////////////////////////////////////////////////////////
// Constructor.
// ////////////////////////////////////////////////////////////////

MyTaskSender::MyTaskSender( sc_core::sc_module_name modulename,
                            const task_id_t id,
                            Scnsl::Core::Node_t * n,
                            const size_t proxies,
							label_t label,
							const size_t pktSize,
			  				const sc_core::sc_time genTime )
    :
    // Parents:
    Scnsl::Traffic::Cbr_t( modulename, id, n, proxies, label, pktSize, genTime )
{
	SC_THREAD( writingProcess );
}

MyTaskSender::~MyTaskSender()  {}

void MyTaskSender::writingProcess()
{

	Cbr_t::enable();
	wait(100, sc_core::SC_MS);
	Cbr_t::disable();
	wait(200, sc_core::SC_MS);
	Cbr_t::enable();

}

